gtkmm 4.7.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::NothingAction Class Reference

A Gtk::ShortcutAction that does nothing. More...

`#include <gtkmm/shortcutaction.h>`

Inheritance diagram for Gtk::NothingAction:
[legend]

## Public Member Functions
| NothingAction (NothingAction && src) noexcept
NothingAction & | operator= (NothingAction && src) noexcept
| ~NothingAction () noexcept override
GtkNothingAction * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkNothingAction * | gobj () const
| Provides access to the underlying C GObject. More...
GtkNothingAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction (ShortcutAction && src) noexcept
ShortcutAction & | operator= (ShortcutAction && src) noexcept
| ~ShortcutAction () noexcept override
GtkShortcutAction * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkShortcutAction * | gobj () const
| Provides access to the underlying C GObject. More...
GtkShortcutAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | to_string () const
| Prints the given action into a human-readable string. More...
bool | activate (Widget & widget, Flags flags=static_cast< Flags >(0), const Glib::VariantBase & args={})
| Activates the action on the widget with the given args. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< NothingAction > | get ()
| Gets the nothing action. More...
Static Public Member Functions inherited from Gtk::ShortcutAction
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< ShortcutAction > | parse_string (const Glib::ustring &string)
| Tries to parse the given string into an action. More...

## Protected Member Functions
| NothingAction ()
Protected Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::NothingAction > | wrap (GtkNothingAction * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::ShortcutAction
Glib::RefPtr< Gtk::ShortcutAction > | wrap (GtkShortcutAction * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::ShortcutAction
enum class | Flags { EXCLUSIVE = 1 << 0 }
| List of flags that can be passed to action activation. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A Gtk::ShortcutAction that does nothing.

## Constructor & Destructor Documentation

## ◆ NothingAction() [1/2]

Gtk::NothingAction::NothingAction | ( | NothingAction && | src | ) |
| noexcept

## ◆ ~NothingAction()

Gtk::NothingAction::~NothingAction | ( |  | ) |
| override noexcept

## ◆ NothingAction() [2/2]

Gtk::NothingAction::NothingAction | ( |  | ) |
| protected

## Member Function Documentation

## ◆ get()

static Glib::RefPtr<NothingAction> Gtk::NothingAction::get | ( |  | ) |
| static

Gets the nothing action.

This is an action that does nothing and where activating it always fails.

Returns
  The nothing action.

## ◆ get_type()

static GType Gtk::NothingAction::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkNothingAction* Gtk::NothingAction::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkNothingAction* Gtk::NothingAction::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkNothingAction* Gtk::NothingAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NothingAction& Gtk::NothingAction::operator= | ( | NothingAction && | src | ) |
| noexcept

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::NothingAction > wrap | ( | GtkNothingAction * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.